# Delete robot accounts

> Delete multiple robot accounts from an Automation Suite organization using the Identity API, including required scope and response codes.

Deletes multiple robot accounts from an organization, based on the organization ID.

## API endpoint

`DELETE` `https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}`

## Scopes

Requires the following scopes:

* `PM.RobotAccount`
* `PM.RobotAccount.Write`

## Request headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described in [Authentication methods](https://docs.uipath.com/automation-suite/automation-suite/2.2510/api-guide/authentication-methods#authentication-methods).
:::

## Path parameters

| Parameter | Data type | Description |
| --- | --- | --- |
| `partitionGlobalId` | String | **Required.**The ID of the organization you want to retrieve the robot accounts for. |

## Request body

The request body contains the list of robot accounts IDs you want to bulk delete from the organization.

```
{
     "robotAccountIDs": [
          "string",
          "string"
     ]
}
```

## Responses

### 200 OK

The indicated robot accounts are deleted from the organization.

## Example request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: `https://{yourDomain}/{organizationName}/identity_`
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
* The robot accounts you want to delete have the following IDs:
  + Bot1: `11-xy`
  + Bot2: `22-tz`

The call should resemble the following example (cURL):

```
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
     "robotAccountIDs": [
          "11-xy",
          "22-tz"
     ]
}'
```
